
//==================================================================================================
#ifndef _ALUA_GSM_MQTT_H_
#define _ALUA_GSM_MQTT_H_
//==================================================================================================

typedef enum 
{
    AWS_CERT_CA1 = 0,
    AWS_CERT_CLIENT,
    AWS_CERT_PRIVATE
}en_certType;

#define MQTT_AWS_TCP_ID             0
#define MQTT_AWS_CLENT_ID           "basicPubSub"
#define MQTT_AWS_HOST               "a35av9i4lkw80j-ats.iot.ap-south-1.amazonaws.com"
#define MQTT_AWS_PORT               "8883"   
#define MQTT_AWS_CA1_HEADER         "-----BEGIN CERTIFICATE-----"
#define MQTT_AWS_CA1_FOOTER         "-----END CERTIFICATE-----"
#define MQTT_AWS_CLIENT_HEADER      "-----BEGIN CERTIFICATE-----"
#define MQTT_AWS_CLIENT_FOOTER      "-----END CERTIFICATE-----"    
#define MQTT_AWS_PRIVATE_HEADER     "-----BEGIN RSA PRIVATE KEY-----"
#define MQTT_AWS_PRIVATE_FOOTER     "-----END RSA PRIVATE KEY-----"
#define MQTT_AWS_CA1_CERT_LEN        1188    //certifiacte length
#define MQTT_AWS_CLIENT_CERT_LEN     1224
#define MQTT_AWS_PRIVATE_CERT_LEN    1675 

#define MQTT_AWS_CA1_CERT         "MIIDQTCCAimgAwIBAgITBmyfz5m/jAo54vB4ikPmljZbyjANBgkqhkiG9w0BAQsF" \
    "ADA5MQswCQYDVQQGEwJVUzEPMA0GA1UEChMGQW1hem9uMRkwFwYDVQQDExBBbWF6" \
    "b24gUm9vdCBDQSAxMB4XDTE1MDUyNjAwMDAwMFoXDTM4MDExNzAwMDAwMFowOTEL" \
    "MAkGA1UEBhMCVVMxDzANBgNVBAoTBkFtYXpvbjEZMBcGA1UEAxMQQW1hem9uIFJv" \
    "b3QgQ0EgMTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALJ4gHHKeNXj" \
    "ca9HgFB0fW7Y14h29Jlo91ghYPl0hAEvrAIthtOgQ3pOsqTQNroBvo3bSMgHFzZM" \
    "9O6II8c+6zf1tRn4SWiw3te5djgdYZ6k/oI2peVKVuRF4fn9tBb6dNqcmzU5L/qw" \
    "IFAGbHrQgLKm+a/sRxmPUDgH3KKHOVj4utWp+UhnMJbulHheb4mjUcAwhmahRWa6" \
    "VOujw5H5SNz/0egwLX0tdHA114gk957EWW67c4cX8jJGKLhD+rcdqsq08p8kDi1L" \
    "93FcXmn/6pUCyziKrlA4b9v7LWIbxcceVOF34GfID5yHI9Y/QCB/IIDEgEw+OyQm" \
    "jgSubJrIqg0CAwEAAaNCMEAwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8BAf8EBAMC" \
    "AYYwHQYDVR0OBBYEFIQYzIU07LwMlJQuCFmcx7IQTgoIMA0GCSqGSIb3DQEBCwUA" \
    "A4IBAQCY8jdaQZChGsV2USggNiMOruYou6r4lK5IpDB/G/wkjUu0yKGX9rbxenDI" \
    "U5PMCCjjmCXPI6T53iHTfIUJrU6adTrCC2qJeHZERxhlbI1Bjjt/msv0tadQ1wUs" \
    "N+gDS63pYaACbvXy8MWy7Vu33PqUXHeeE6V/Uq2V8viTO96LXFvKWlJbYK8U90vv" \
    "o/ufQJVtMVT8QtPHRh8jrdkPSHCa2XV4cdFyQzR1bldZwgJcJmApzyMZFo6IQ6XU" \
    "5MsI+yMRQ+hDKXJioaldXgjUkK642M4UwtBV8ob2xJNDd2ZhwLnoQdeXeGADbkpy" \
    "rqXRfboQnoZsG4q5WTP468SQvvG5"
      
#define MQTT_AWS_CLIENT_CERT    "MIIDWjCCAkKgAwIBAgIVAO097pGOGwGlfUEMe9Rt1Usiw1n3MA0GCSqGSIb3DQEB" \
    "CwUAME0xSzBJBgNVBAsMQkFtYXpvbiBXZWIgU2VydmljZXMgTz1BbWF6b24uY29t" \
    "IEluYy4gTD1TZWF0dGxlIFNUPVdhc2hpbmd0b24gQz1VUzAeFw0yMDA1MjcwOTQ3" \
    "MzBaFw00OTEyMzEyMzU5NTlaMB4xHDAaBgNVBAMME0FXUyBJb1QgQ2VydGlmaWNh" \
    "dGUwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDIvVF4/E0DJKFAr2o1" \
    "ZTO1v8rWjOddomtjApTmwntCBKl43sw9RAMDzXdoxHGwtaY25q3hRlNdf1toDZ/a" \
    "TT/JFThGskUPRym2l/kcYv/ep6qCSMcnLVoaSZT8PST9hT4qCHWVFReoO9W/iVO5" \
    "gHSorNnv2z8P5hzACoMkMZx7SGIWbG9TXyx/GNDm/VX6bDBoL6XYMDb2XlWKWJEM" \
    "saRY/xEU0/nqnLK8n71obdfakirNHfe+vGeT7P4AeWsYqw2MZn3z/sMZRgTk83YA" \
    "bPNc+p4SdU2Yoaag55F3pczT2XrRTFEHt4TqR2B0X04eVT+hThKM3AnXYcAG883M" \
    "TX/bAgMBAAGjYDBeMB8GA1UdIwQYMBaAFDaF1kRZhUdfLgH/mtCiRhF9YSmdMB0G" \
    "A1UdDgQWBBRbYoSexmsM4wUBqeh4VBmh4AZyrTAMBgNVHRMBAf8EAjAAMA4GA1Ud" \
    "DwEB/wQEAwIHgDANBgkqhkiG9w0BAQsFAAOCAQEAGFyDfCtyFR2g2nXwmu83d5qN" \
    "Cc6rjhywxozvV+nyVTeS0rQoqdZXne8T5U9MfMtlRmNfaJzY9O9iZIviBtJR4rqo" \
    "Wf3V5ymEgM+42GI8BNTmr9feU1doNO/XvtO1vhTv8xwzoExCam6yPlMqzrdYEBx+" \
    "JF79KNM6VMScLLzW6IgVBtCBonH7FIzcVaqPLHsMa7W9hBzIW3biIWtD3OiHxYgi" \
    "QyObdOUggMnjabuDYxvPWG1LhLtjG0q7WsXXjCgvUqSa/aRYU0RRZ57oY8SRYoDu" \
    "diR6MzQVbyUMN4Intj1FEMpEe0xORcOqzxPPD/NAEZsv8nw2ZZlYg6bIwjEGxg=="
      
#define MQTT_AWS_PRIVATE_CERT   "MIIEoQIBAAKCAQEAyL1RePxNAyShQK9qNWUztb/K1oznXaJrYwKU5sJ7QgSpeN7M" \
    "PUQDA813aMRxsLWmNuat4UZTXX9baA2f2k0/yRU4RrJFD0cptpf5HGL/3qeqgkjH" \
    "Jy1aGkmU/D0k/YU+Kgh1lRUXqDvVv4lTuYB0qKzZ79s/D+YcwAqDJDGce0hiFmxv" \
    "U18sfxjQ5v1V+mwwaC+l2DA29l5ViliRDLGkWP8RFNP56pyyvJ+9aG3X2pIqzR33" \
    "vrxnk+z+AHlrGKsNjGZ98/7DGUYE5PN2AGzzXPqeEnVNmKGmoOeRd6XM09l60UxR" \
    "B7eE6kdgdF9OHlU/oU4SjNwJ12HABvPNzE1/2wIDAQABAoIBAHgY0+qHP+f2fUb+" \
    "65MAdhxxn4AXEsDxUEAPJlic2DNaKK441YZ97zPSNHOIu+AV/VhxUGwrr+qLLHun" \
    "UxC/EL9UI7QgKbMHR0yHxbEXBbAHLbr+oa+tsW9ywGDckAnhMpzhLL/Bu8KZ8brD" \
    "BUVBNgpIR6b5y9POPzshzu3ThKQ4TYkXmxS16PKRt3sF1875Ahtca5OJY5R/Lfku" \
    "jrzgrKpRph8Tr79jt7qfwxBNhuXncWfDacvwdvbe91URFZlQkYgYkyNFKh937YHS" \
    "wZvlhoWFnqBIz9tdPoX0hKW+KDjmIpzGFGFVK5frz/XjoiFjdR4rr8DqJEiMLFby" \
    "M1vo9tkCgYEA68BCfhNxOlYb+ooLAenbsJrHX94+k2fJJIY5xK1MdqI/w6VZUB3h" \
    "pb5swt59kgmW2m+ZfiU/BXeStShiodnUPbMNVumulYzdZJEXq1AADM+3Z1jKc+kR" \
    "TvYP3nc2TxR4V+T/M8NoyRsjFQZ5QBg2dopOxz1ONmwdAHfEyuGtFu8CgYEA2fs4" \
    "CaCbKmERghmcF8uwpedjxnMyQA+Abq5ju7UeqskckxOnq2sfuO2rteXYVEMvzKif" \
    "gHqcpTBMsIoM4jXO6aXR3iTMweLDLb/yQW+4k6oWcVMeRxEfBh4PwsLjB9aEKxXF" \
    "Buo8Hp7CJliLaTWYm+J6dA4WV3+cO4vgWmmVRdUCfzVpWac2wHB3Ed+xZs0ILr3U" \
    "U1dlAshiuy+LOYtVt/0oxUmOLK36FyV1/y4nOkvb4FGc9ymdRqn2bUad37rLn0pb" \
    "RqpqRyOaxo4CUVp+xYQhi2vesf+QzlsVZIMCf0trV9iSCT+xBgyKGWiqDs52reAt" \
    "dauuOAocdHWmrO9KMe0CgYBFKMCBxXQVgRCl/2wX3KdiK8TrPLdPvdtYwnmgH3no" \
    "Y8BuJYlICMfay4V0Q8VcDqkGvOVGRSCYBHgAdvxZdQr99H9ehLx2M3ULed/pxQGB" \
    "0DAoql9r2tHGBhmoCF8xqGzsoo6NgBms+V/N/L/WlIujwbpqQeHyxukRt3JqHR+g" \
    "NQKBgQC3loLghbHHV6c5t5f3VK1uoccFZ8HGn2DJ7dFF4kxYuv0WrCU4a0LRL3jd" \
    "vIXCUqXC/hUjlTLTVS6tKJhs18jYRUiej/WkaIaDJhrz6KmMvEu9adk9pVfypkCx" \
    "mzCXLKdxEz83572zeMaRLCiYMfAN0smIGTJRXrgO7qQQaw7ZmA=="

// funtion proto types     
uint16_t alua_gsmMqttCopyCert(en_certType a_certType);
//==================================================================================================
#endif //_ALUA_GSM_MQTT_H_
//==================================================================================================

