
/* This file contains functions without dependancy of HW and sw module  */

#include <string.h>
#include <stdlib.h>
#include "main.h"
#include "alua_typedef.h"
#include "alua_global.h"
#include "alua_miscfunc.h"
/*============================================================================*/
// calculating xor byte
uint8_t getXOR (uint8_t* a_pBuffer, uint8_t a_Len)
{
    uint8_t l_Counter, l_Temp = 0;

    for(l_Counter = 0; l_Counter < a_Len; l_Counter++)
    {
        l_Temp ^= *a_pBuffer++;
    }

    return(l_Temp);
}


/*============================================================================*/
/* This function packs 32 bits value in to 8 bits buffer - MSB to LSB         */
void app32bPackTo8b(uint32_t a_Value, uint8_t* a_pBuffer) 
{
    *(a_pBuffer + 0) = (uint8_t) ((a_Value >> 24) & 0x000000FF);
    *(a_pBuffer + 1) = (uint8_t) ((a_Value >> 16) & 0x000000FF); 
    *(a_pBuffer + 2) = (uint8_t) ((a_Value >> 8)  & 0x000000FF); 
    *(a_pBuffer + 3) = (uint8_t) ( a_Value        & 0x000000FF);       
}

/*============================================================================*/
/* This function packs 16 bits value in to 8 bits buffer - MSB to LSB         */ 
void app16bPackTo8b(uint16_t a_Value, uint8_t* a_pBuffer)
{
    *(a_pBuffer + 0) = (uint8_t) ((a_Value >> 8)  & 0x00FF);
    *(a_pBuffer + 1) = (uint8_t) ( a_Value        & 0x000FF);       
}

/*============================================================================*/
/* This function packs 32 bits value in to 8 bits buffer - MSB to LSB         */
void app8bPackTo32b(uint8_t* a_pBuffer, uint32_t* a_pValue)
{    
    uint32_t a_Value =0;
    
    a_Value = *(a_pBuffer + 0);
    a_Value <<= 0x08;
    a_Value |= *(a_pBuffer + 1);
    a_Value <<= 0x08;
    a_Value |= *(a_pBuffer + 2);
    a_Value <<= 0x08;    
    a_Value |= *(a_pBuffer + 3);
    
    *a_pValue = a_Value;
}

/*============================================================================*/
/* This function packs 16 bits value in to 8 bits buffer - MSB to LSB         */
void app8bPackTo16b(uint8_t* a_pBuffer, uint16_t* a_pValue)
{    
    uint32_t a_Value =0;
    
    a_Value = *(a_pBuffer + 0);
    a_Value <<= 0x08;
    a_Value |= *(a_pBuffer + 1);
    
    *a_pValue = a_Value;
}

/*============================================================================*/
/* 8Bit decimal Value to Decimal Ascii */
void alua_miscConv8bToDecAscii(uint8_t* a_pBuffer, uint8_t a_Value)
{
    sprintf((char*) a_pBuffer, "%u", a_Value);
}

/*============================================================================*/
/* 8Bit decimal Value to Decimal Ascii */
void alua_miscConv16bToDecAscii(uint8_t* a_pBuffer, uint16_t a_Value)
{
    sprintf((char*) a_pBuffer, "%u", a_Value);
}

/*============================================================================*/
/* Converts GPS Raw NMEA Lat/Lon String Format to Decimal (deg -> decimal)    */
float alua_miscConvAscDegToDec(char* a_pStrDeg)
{
    float l_flValue = 0.0;
    uint8_t l_deg = 0;
    
    l_flValue = atof(a_pStrDeg);
    l_flValue /= 100;
    
    l_deg = (uint8_t) l_flValue;
    l_flValue -= l_deg;
    
    l_flValue *= 100;
    l_flValue  /= 60;
    
    l_flValue += l_deg;
    
    return(l_flValue);
}
